
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### basketthumbcreator (kpart)

tde_add_kpart( basketthumbcreator MODULE AUTOMOC

  SOURCES
        basketthumbcreator.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     kjs-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons()


##### other data

add_custom_command(
  OUTPUT basket.magic.mgc
  COMMAND ${FILE_EXECUTABLE} -C -m ${CMAKE_CURRENT_SOURCE_DIR}/basket.magic
)

add_custom_target(
  basket_magic_mgc
  ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/basket.magic.mgc
)

install(
    FILES basket.magic ${CMAKE_CURRENT_BINARY_DIR}/basket.magic.mgc
    DESTINATION ${CONFIG_INSTALL_DIR}/magic
)

install(
    FILES x-basket-archive.desktop x-basket-template.desktop
    DESTINATION ${MIME_INSTALL_DIR}/application
)

install(
    FILES basketthumbcreator.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)
